import { AfterViewInit, ChangeDetectorRef, EventEmitter, OnDestroy } from '@angular/core';
import { Control, Column } from '../../../models/control';
import { FVDoneResponse } from '../../../models';
import { ProcessService } from '../../../services/process.service';
import { FVAbstractControl } from '../../shared/abstract-control.component';
/**
 * @Author [GrigoreMe](https://github.com/grigoreme)
 */
export declare class FVFormTabComponent extends FVAbstractControl implements AfterViewInit, OnDestroy {
    protected process: ProcessService;
    protected ref: ChangeDetectorRef;
    class: string;
    titleUpdated: EventEmitter<string>;
    onDone: EventEmitter<FVDoneResponse>;
    mainContainer: any;
    protected shouldShow: boolean;
    constructor(process: ProcessService, ref: ChangeDetectorRef);
    ngAfterViewInit(): void;
    updateTitle(title: any): void;
    controlType(num: number): string;
    controlGroupType(num: number): string;
    columnsClass(control: Control): string;
    visibleColumns(control: Control | Column): Column[];
    isHidden(control: Control): boolean;
    /**
     * Redirect event to parent component.
     * @param response
     */
    _onDone(response: FVDoneResponse): void;
    /**
     * Returns debug text for current component.
     */
    toString(): string;
    /**
     * Extend from debugger.ts. Check if you should see message on missing fields found.
     */
    readonly missingFieldsDebug: boolean;
    readonly isGrid: boolean;
    /**
     * Return all non-empty columns inside given one.
     * @param control
     */
    protected notEmptyColumns(control: Control | Column): Column[];
    protected generateClass(): string;
    /**
     * Returns if container have any text ( not only comments ).
     */
    protected isPopulated(): boolean;
    ngOnDestroy(): void;
}
